hie-bios-0.12.0: Set up a GHC API session

Safe Haskell | Safe-Inferred
Language | Haskell2010

HIE.Bios.Internal.Debug

Synopsis

- debugInfo :: Show a => LogAction IO (WithSeverity Log) -> FilePath -> Cradle a -> IO String
- rootInfo :: Cradle a -> IO String
- configInfo :: [FilePath] -> IO String
- cradleInfo :: [FilePath] -> IO String

# Documentation

debugInfo :: Show a => LogAction IO (WithSeverity Log) -> FilePath -> Cradle a -> IO String #

Obtain debug information for a `Cradle`.

Tries to load the `Cradle` and dump any information associated with it. If loading succeeds, contains information such as the root directory of the cradle, the compiler options to compile a module in this `Cradle`, the file dependencies and so on.

Otherwise, shows the error message and exit-code.

rootInfo :: Cradle a -> IO String #

Get the root directory of the given Cradle.

configInfo :: [FilePath] -> IO String #

cradleInfo :: [FilePath] -> IO String #